aboutsummaryrefslogtreecommitdiffstats
path: root/package/system/ubox
diff options
context:
space:
mode:
authorJeffery To <jeffery.to@gmail.com>2019-01-13 02:14:22 +0800
committerJo-Philipp Wich <jo@mein.io>2019-01-22 09:05:59 +0100
commitd13e86d4c2d4c1c8970a20cc1f3214b266f57ed0 (patch)
tree4873e6e71897ed65034302a8e4ee349cfee69781 /package/system/ubox
parent2bf22b1fb725b71ca1ec2656be4b020efcc29289 (diff)
downloadupstream-d13e86d4c2d4c1c8970a20cc1f3214b266f57ed0.tar.gz
upstream-d13e86d4c2d4c1c8970a20cc1f3214b266f57ed0.tar.bz2
upstream-d13e86d4c2d4c1c8970a20cc1f3214b266f57ed0.zip
procd: Add wrapper for uci_validate_section()
This adds a wrapper (uci_load_validate) for uci_validate_section() that allows callers (through a callback function) to access the values set by uci_validate_section(), without having to manually declare a (potentially long) list of local variables. The callback function receives two arguments when called, the config section name and the return value of uci_validate_section(). If no callback function is given, then the wrapper exits with the value returned by uci_validate_section(). This also updates several init scripts to use the new wrapper function. Signed-off-by: Jeffery To <jeffery.to@gmail.com>
Diffstat (limited to 'package/system/ubox')
-rw-r--r--package/system/ubox/files/log.init18
1 files changed, 7 insertions, 11 deletions
diff --git a/package/system/ubox/files/log.init b/package/system/ubox/files/log.init
index ae5dd1f03d..250f805b44 100644
--- a/package/system/ubox/files/log.init
+++ b/package/system/ubox/files/log.init
@@ -11,7 +11,7 @@ PROG=/sbin/logread
validate_log_section()
{
- uci_validate_section system system "${1}" \
+ uci_load_validate system system "$1" "$2" \
'log_file:string' \
'log_size:uinteger' \
'log_hostname:string' \
@@ -25,15 +25,13 @@ validate_log_section()
validate_log_daemon()
{
- uci_validate_section system system "${1}" \
+ uci_load_validate system system "$1" "$2" \
'log_size:uinteger:0' \
'log_buffer_size:uinteger:0'
}
start_service_daemon()
{
- local log_buffer_size log_size
- validate_log_daemon "${1}"
[ $log_buffer_size -eq 0 -a $log_size -gt 0 ] && log_buffer_size=$log_size
[ $log_buffer_size -eq 0 ] && log_buffer_size=64
procd_open_instance
@@ -47,9 +45,8 @@ start_service_file()
{
PIDCOUNT="$(( ${PIDCOUNT} + 1))"
local pid_file="/var/run/logread.${PIDCOUNT}.pid"
- local log_file log_size
- validate_log_section "${1}" || {
+ [ "$2" = 0 ] || {
echo "validation failed"
return 1
}
@@ -67,9 +64,8 @@ start_service_remote()
{
PIDCOUNT="$(( ${PIDCOUNT} + 1))"
local pid_file="/var/run/logread.${PIDCOUNT}.pid"
- local log_ip log_port log_proto log_prefix log_remote log_trailer_null log_hostname
- validate_log_section "${1}" || {
+ [ "$2" = 0 ] || {
echo "validation failed"
return 1
}
@@ -96,7 +92,7 @@ service_triggers()
start_service()
{
config_load system
- config_foreach start_service_daemon system
- config_foreach start_service_file system
- config_foreach start_service_remote system
+ config_foreach validate_log_daemon system start_service_daemon
+ config_foreach validate_log_section system start_service_file
+ config_foreach validate_log_section system start_service_remote
}